{% extends 'base.html.twig' %}

{% block title %}Ajouter un projet{% endblock %}

{% block body %}

<style>
.form {display: flex; flex-direction: column;justify-content: center; align-items: center; height: 100vh;}
form { display: flex; flex-direction: column; width: 50%;}
input { height: 30px; margin-bottom: 10px;}
input[type="text"] { font-size: 16px;}
label { font-size: 18px;}
button { width : 120px; margin: auto; height: 30px; font-size: 16px;}
</style>
<div class="form">
<h3>Ajouter un projet</h3>
{{ form_start(form)}}
    {{ form_label(form.title) }}
    {{ form_widget(form.title) }}

    {{ form_label(form.description) }}
    {{ form_widget(form.description) }}

    {{ form_label(form.imgUrl1) }}
    {{ form_widget(form.imgUrl1) }}

    {{ form_label(form.imgUrl2) }}
    {{ form_widget(form.imgUrl2) }}

    {{ form_label(form.urlRepo) }}
    {{ form_widget(form.urlRepo) }}

    {{ form_label(form.urlSite) }}
    {{ form_widget(form.urlSite) }}

    {{ form_rest(form) }}
    <button type="submit">Enregistrer</button>
{{ form_end(form) }}
</div>

{% endblock %}